
QGIS Application - Bug report #5099

pie charts crash qgis 1.9.90 windowsxp

2012-02-28 09:20 AM - mike dodd

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 14862

Description

If you create a large number of pie charts for UK (say 1000) and you are zoomed out to whole of uk then qgis crashes.  have done this

several times completely repeatable.  however if you are zoomed in so a smaller area so say only 50 pies are produced then it works fine. 

you can then zoom out again.

there is another bug with this version, it won't let you select new symbology, will report that as separate bug.

History

#1 - 2012-02-28 09:27 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to 6

#2 - 2012-04-15 08:46 AM - Giovanni Manghi

- Priority changed from 6 to High

#3 - 2012-04-16 03:50 AM - Giovanni Manghi

- Status changed from Open to Feedback

Did you used the "diagram" or the "overlay" tool. Sorry for the eventual confusion, the "overlay" tool is obsolete and will be removed. The tool to use is

"diagram".

#4 - 2012-05-30 07:42 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Using the new engine (diagram) it can become slow (when the number of diagrams in very high) but ultimately it won't crash. Tested on master and

Windows 7. Reopen if necessary.
